package com.hxhq.business.form.sj;

import javax.validation.constraints.NotEmpty;

/**
 * 锁定试剂
 * @author HanLong
 */
public class SdSjForm {

    /** 试剂id */
    private Long id;

    /** 试剂ids */
    private Long[] ids;

    /** 备注 */
    private String remark;

    /** 签名人id */
    private Long qmrId;

    /** 签名人密码 */
    @NotEmpty(message = "密码不能为空")
    private String qmrmm;

    public Long[] getIds() {
        return ids;
    }

    public void setIds(Long[] ids) {
        this.ids = ids;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Long getQmrId() {
        return qmrId;
    }

    public void setQmrId(Long qmrId) {
        this.qmrId = qmrId;
    }

    public String getQmrmm() {
        return qmrmm;
    }

    public void setQmrmm(String qmrmm) {
        this.qmrmm = qmrmm;
    }
}
